ZoneAlarm Insufficient validation of 'vsdatant' driver input buffer Vulnerability May 01 2007 10:22AM
Matousec - Transparent security Research (research matousec com)
Hello,

We would like to inform you about a vulnerability in ZoneAlarm 6.

Description:

ZoneAlarm insufficiently protects its driver \Device\vsdatant against a manipulation by malicious applications and it
fails to validate its input buffer. It is possible to open the driver's device and send arbitrary data to it, which are
implicitly believed to be valid. It is possible to assemble the data in the input buffer such that the driver performs
an invalid memory operation and crashes the whole operating system. Further impacts of this bug (like arbitrary code
execution in the kernel mode) were not examined.

Vulnerable software:

* ZoneAlarm Pro 6.5.737.000
* ZoneAlarm Pro 6.1.744.001
* probably all versions of ZoneAlarm products branches 6.x
* possibly older versions of ZoneAlarm products

Not vulnerable software:

* ZoneAlarm Pro 7.0.302.000 and higher
* probably all versions of ZoneAlarm products branches 7.x and higher

More details and a proof of concept including its source code are available here:
http://www.matousec.com/info/advisories/ZoneAlarm-Insufficient-validatio
n-of-vsdatant-driver-input-buffer.php

Regards,

--
Matousec - Transparent security Research
http://www.matousec.com/

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus